<?php

namespace App\Models;

class CategoryModel
{
  public function __construct(
    private int $id,
    private string $namaKategori,
    private ?string $deskripsi,
    private string $createdAt,
    private ?string $updatedAt,
  ) {}

  // Getter
  public function getId(): int
  {
    return $this->id;
  }

  public function getNamaKategori(): string
  {
    return $this->namaKategori;
  }

  public function getDeskripsi(): ?string
  {
    return $this->deskripsi;
  }

  public function getCreatedAt(): string
  {
    return $this->createdAt;
  }

  public function getUpdatedAt(): ?string
  {
    return $this->updatedAt;
  }
}
